Improper Verification of Cryptographic Signature

Affecting apt package, versions <1.6.3ubuntu0.1

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

The mirror:// method implementation in Advanced Package Tool (APT) 1.6.x before 1.6.4 and 1.7.x before 1.7.0~alpha3 mishandles gpg signature verification for the InRelease file of a fallback mirror, aka mirrorfail.

References

CVSS Score

5.9
high severity
  • Attack Vector
    Network
  • Attack Complexity
    High
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    None
  • Integrity
    High
  • Availability
    None
CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N
CVE
CVE-2018-0501
CWE
CWE-347
Snyk ID
SNYK-UBUNTU1804-APT-407437
Disclosed
21 Aug, 2018
Published
22 Aug, 2018